path: /build/build/qtx11extras-dev-qt-5-5.15.2+4.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    USE="-test" emerge dev-qt/qtx11extras:5 -pv -t && \
    USE="-test" emerge -j ${JOBS} --nodeps dev-qt/qtx11extras:5
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/qtx11extras && luet-portage --dir /pkgdir/qtx11extras
    dev-qt/qtx11extras:5 && eval 'rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/*
    || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:1841d7c08466f293bd400dac3e4483c9aeeeb0c42757173fea6d22e12a5a5f42
  package:
    name: qtx11extras
    version: 5.15.2+4
    category: dev-qt-5
    use_flags:
    - -test
    requires:
    - name: qtgui
      version: '>=0'
      category: dev-qt-5
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: Linux/X11-specific support library for the Qt5 framework
    uri:
    - https://community.kde.org/Qt5PatchCollection https://invent.kde.org/qt/qt/ https://www.qt.io/
    license: '|| ( GPL-2 GPL-3 LGPL-3 ) FDL-1.3'
    buildtimestamp: 2024-07-03 17:27:00.939025977 +0000 UTC m=+100.146499634
    labels:
      BDEPEND: dev-lang/perl virtual/pkgconfig
      DEPEND: =dev-qt/qtcore-5.15.2* =dev-qt/qtgui-5.15.2*[X] test? ( =dev-qt/qtwidgets-5.15.2*
        ) test? ( =dev-qt/qttest-5.15.2* )
      IUSE: debug test
      RDEPEND: =dev-qt/qtcore-5.15.2* =dev-qt/qtgui-5.15.2*[X]
      emerge.packages: dev-qt/qtx11extras:5
      kit: qt-kit
      original.package.name: dev-qt/qtx11extras
      original.package.slot: "5"
      original.package.version: 5.15.2_p20240508
    treedir: /build/packages
  package_dir: /pkgdir/qtx11extras
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: 1f2076a32b3db6acd0081f876744b8b6a2256abeb50f34726ed7d895ffa7767e
compressiontype: zstd
files:
- usr/include/qt5/QtX11Extras/QX11Info
- usr/include/qt5/QtX11Extras/QtX11Extras
- usr/include/qt5/QtX11Extras/QtX11ExtrasDepends
- usr/include/qt5/QtX11Extras/QtX11ExtrasVersion
- usr/include/qt5/QtX11Extras/qtx11extrasglobal.h
- usr/include/qt5/QtX11Extras/qtx11extrasversion.h
- usr/include/qt5/QtX11Extras/qx11info_x11.h
- usr/lib64/cmake/Qt5X11Extras/Qt5X11ExtrasConfig.cmake
- usr/lib64/cmake/Qt5X11Extras/Qt5X11ExtrasConfigVersion.cmake
- usr/lib64/libQt5X11Extras.prl
- usr/lib64/libQt5X11Extras.so
- usr/lib64/libQt5X11Extras.so.5
- usr/lib64/libQt5X11Extras.so.5.15
- usr/lib64/libQt5X11Extras.so.5.15.14
- usr/lib64/pkgconfig/Qt5X11Extras.pc
- usr/lib64/qt5/mkspecs/modules/qt_lib_x11extras.pri
- usr/lib64/qt5/mkspecs/modules/qt_lib_x11extras_private.pri
- var/db/pkg/dev-qt/qtx11extras-5.15.2_p20240508/BDEPEND
- var/db/pkg/dev-qt/qtx11extras-5.15.2_p20240508/BUILD_TIME
- var/db/pkg/dev-qt/qtx11extras-5.15.2_p20240508/CATEGORY
- var/db/pkg/dev-qt/qtx11extras-5.15.2_p20240508/CBUILD
- var/db/pkg/dev-qt/qtx11extras-5.15.2_p20240508/CFLAGS
- var/db/pkg/dev-qt/qtx11extras-5.15.2_p20240508/CHOST
- var/db/pkg/dev-qt/qtx11extras-5.15.2_p20240508/CONTENTS
- var/db/pkg/dev-qt/qtx11extras-5.15.2_p20240508/COUNTER
- var/db/pkg/dev-qt/qtx11extras-5.15.2_p20240508/CXXFLAGS
- var/db/pkg/dev-qt/qtx11extras-5.15.2_p20240508/DEFINED_PHASES
- var/db/pkg/dev-qt/qtx11extras-5.15.2_p20240508/DEPEND
- var/db/pkg/dev-qt/qtx11extras-5.15.2_p20240508/DESCRIPTION
- var/db/pkg/dev-qt/qtx11extras-5.15.2_p20240508/EAPI
- var/db/pkg/dev-qt/qtx11extras-5.15.2_p20240508/FEATURES
- var/db/pkg/dev-qt/qtx11extras-5.15.2_p20240508/HOMEPAGE
- var/db/pkg/dev-qt/qtx11extras-5.15.2_p20240508/INHERITED
- var/db/pkg/dev-qt/qtx11extras-5.15.2_p20240508/IUSE
- var/db/pkg/dev-qt/qtx11extras-5.15.2_p20240508/IUSE_EFFECTIVE
- var/db/pkg/dev-qt/qtx11extras-5.15.2_p20240508/KEYWORDS
- var/db/pkg/dev-qt/qtx11extras-5.15.2_p20240508/LDFLAGS
- var/db/pkg/dev-qt/qtx11extras-5.15.2_p20240508/LICENSE
- var/db/pkg/dev-qt/qtx11extras-5.15.2_p20240508/NEEDED
- var/db/pkg/dev-qt/qtx11extras-5.15.2_p20240508/PF
- var/db/pkg/dev-qt/qtx11extras-5.15.2_p20240508/PROVIDES
- var/db/pkg/dev-qt/qtx11extras-5.15.2_p20240508/RDEPEND
- var/db/pkg/dev-qt/qtx11extras-5.15.2_p20240508/REQUIRES
- var/db/pkg/dev-qt/qtx11extras-5.15.2_p20240508/RESTRICT
- var/db/pkg/dev-qt/qtx11extras-5.15.2_p20240508/SIZE
- var/db/pkg/dev-qt/qtx11extras-5.15.2_p20240508/SLOT
- var/db/pkg/dev-qt/qtx11extras-5.15.2_p20240508/USE
- var/db/pkg/dev-qt/qtx11extras-5.15.2_p20240508/environment.bz2
- var/db/pkg/dev-qt/qtx11extras-5.15.2_p20240508/qtx11extras-5.15.2_p20240508.ebuild
- var/db/pkg/dev-qt/qtx11extras-5.15.2_p20240508/repository
package_cacheimage: ""
runtime:
  name: qtx11extras
  version: 5.15.2+4
  category: dev-qt-5
  use_flags:
  - -test
  requires:
  - name: qtcore
    version: '>=0'
    category: dev-qt-5
  - name: qtgui
    version: '>=0'
    category: dev-qt-5
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: Linux/X11-specific support library for the Qt5 framework
  uri:
  - https://community.kde.org/Qt5PatchCollection https://invent.kde.org/qt/qt/ https://www.qt.io/
  license: '|| ( GPL-2 GPL-3 LGPL-3 ) FDL-1.3'
  labels:
    BDEPEND: dev-lang/perl virtual/pkgconfig
    DEPEND: =dev-qt/qtcore-5.15.2* =dev-qt/qtgui-5.15.2*[X] test? ( =dev-qt/qtwidgets-5.15.2*
      ) test? ( =dev-qt/qttest-5.15.2* )
    IUSE: debug test
    RDEPEND: =dev-qt/qtcore-5.15.2* =dev-qt/qtgui-5.15.2*[X]
    emerge.packages: dev-qt/qtx11extras:5
    kit: qt-kit
    original.package.name: dev-qt/qtx11extras
    original.package.slot: "5"
    original.package.version: 5.15.2_p20240508
